---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: ingress-grafana
  annotations:
    alias-managed: "true"
    cert-manager.io/cluster-issuer: letsencrypt-production
spec:
  ingressClassName: nginx
  rules:
    - host: eduit-grafana.ethz.ch
      http:
        paths:
          - backend:
              service:
                name: grafana
                port:
                  number: 3000
            pathType: Prefix
            path: /
  tls:
    - hosts:
        - eduit-grafana.ethz.ch
      secretName: auto-cert-grafana
